Get a user record
curl --request GET \
--url https://api.attio.com/v2/objects/users/records/{record_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/objects/users/records/{record_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/objects/users/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {
"person": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "people",
"target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
"attribute_type": "record-reference"
}
],
"primary_email_address": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"original_email_address": "person@company.com",
"email_address": "person@company.com",
"email_domain": "company.com",
"email_root_domain": "company.com",
"email_local_specifier": "person",
"attribute_type": "email-address"
}
],
"user_id": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "123",
"attribute_type": "text"
}
],
"workspace": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "workspaces",
"target_record_id": "72ef5feaf-4919-4208-b332-1339ab8ba040",
"attribute_type": "record-reference"
}
]
}
}
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Record with ID \"891dcbfc-9141-415d-9b2a-2238a6cc012d\" not found."
}Users
Get a user record
Gets a single user record by its record_id.
Required scopes: record_permission:read, object_configuration:read.
GET
/
v2
/
objects
/
users
/
records
/
{record_id}
Get a user record
Was this page helpful?
⌘I